﻿Imports System.IO

Public Class Form1

    Private Sub btnReadFile_Click(sender As Object, e As EventArgs) Handles btnReadFile.Click
        Dim filepath = tbFilepath.Text.Trim()
        If Not File.Exists(filepath) Then
            MessageBox.Show("Please provide an existing filepath..")
            Return
        End If
        ReadFileSyncSample(filepath)
        ' ReadFileSyncSampleWithEncoding(filepath)
        ' ReadFileAsyncSample()
    End Sub

    Private Sub ReadFileSyncSample(filepath As String)
        Dim contents = File.ReadAllText(filepath)
        tbContent.Text = contents
    End Sub

    Private Sub ReadFileSyncSampleWithEncoding(filepath As String)
        Dim encoding = System.Text.Encoding.UTF8
        Dim contents = File.ReadAllText(filepath, encoding)
        tbContent.Text = contents
    End Sub

    ' only works in .NET 5 App
    ' not in .NET Framework App
    'Private Async Function ReadFileAsyncSample(filepath As String) As Task
    '    Dim contents = Await File.ReadAllTextAsync(filepath)
    '    tbContent.Text = contents
    'End Function

End Class
